1. Customers
Onebear
  • One Bear Public API
    • Webhooks
    • Getting started
    • Customers
      • List customers
        GET
      • Create a customer
        POST
      • Get a customer
        GET
      • Update a customer
        PUT
    • Messages
      • List messages in a room
      • Get a message
    • Orders
      • List orders
      • Get an order
    • Products
      • List products
      • Get a product
    • Rooms
      • List rooms
      • Get a room
    • Schemas
      • CreateCustomerRequest
      • CustomerAddress
      • CustomerContactPerson
      • UpdateCustomerRequest
  • Live Chat Widget
    • Live Chat Widget - Setup & Integration Guide
    • OneBear Live Chat Widget — คู่มือตั้งค่าและการผสานระบบ
  • API Channel
    • API Channel - Setup & API Reference
    • OneBear API Channel — คู่มือตั้งค่าและ API Reference
  1. Customers

Create a customer

POST
/api/v1/companies/{companyId}/customers
Requires customers:write. name is required; phone/email are de-duplicated against existing customers.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params
application/json

Examples

Responses

🟢200
OK
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.onebear.ai/api/v1/companies//customers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "email": "string",
    "phone": "string",
    "customerType": "string",
    "avatar": "string",
    "isLead": true,
    "interests": [
        "string"
    ],
    "source": "string",
    "channelIntegrationIds": [
        "string"
    ]
}'
Modified at 2026-09-16 07:13:47
Previous
List customers
Next
Get a customer
Built with